Community
cancel
Showing results for 
Search instead for 
Did you mean: 
SergeyKostrov
Valued Contributor II
49 Views

Update 4 is released shortly after Update 3. What is wrong with Update 3?

*** Update 4 is released shortly after Update 3. What is wrong with Update 3? Should we use it? ***
0 Kudos
5 Replies
TimP
Black Belt
49 Views

I had the impression update 3 didn't bring bug fixes in all the compilers. I think we were kept in the dark. Update 4 seems to have changed some auto vectorization thresholds.
Judith_W_Intel
Employee
49 Views

 

Update 3 was just Update 2 plus a runtime performance optimization enhancement. Update 4 was a real update with bug fixes, etc.

 

SergeyKostrov
Valued Contributor II
49 Views

Thank you, Judith. >>...Update 4 was a real update with bug fixes, etc... I'm almost ready to install it ( for Linux ).
SergeyKostrov
Valued Contributor II
49 Views

>>>>...Update 4 was a real update with bug fixes, etc... >> >>I'm almost ready to install it ( for Linux ). Installed successfully from the 2nd attempt. I always download a full installation and something went wrong with integrity of a 4.5 GB archive file and it was corrupted. It would be nice to have an MD5 signature for the archive to verify its integrity after it is downloaded. Here are a couple of notes: This is 3rd time ( initial installation, update 2, and now for update 4 ) when the installer asks for some 32-bit components: ... Checking the prerequisites. It can take several minutes. Please wait... -------------------------------------------------------------------------------- Step 5 of 7 | Prerequisites > Missing Optional Prerequisite(s) -------------------------------------------------------------------------------- There are one or more optional unresolved issues. It is highly recommended to resolve them all before you continue. You can fix them without exiting the setup program and re-check. Or you can exit the setup program, fix them and run the setup program again. -------------------------------------------------------------------------------- Missing optional prerequisites -- 32-bit libraries not found ... I've installed a set of 32-bit components for Linux Ubuntu a long time ago and my question is what 32-bit components need to be installed? The installer needs to be more specific. This is what I've installed during my 1st installation of Intel PS XE 2017 CE ( in November 2016 ): ... sudo apt-get update sudo apt-get install libc6:i386 sudo apt-get install libc6-dbg:i386 sudo apt-get install libstdc++:i386 libstdc++6:i386 glibc:i386 libgcc:i386 ... Did I miss some package(s)?
SergeyKostrov
Valued Contributor II
49 Views

I have a very good impression about Update 4 because some pieces of code work faster by 10-15% on a KNL system.
Reply